compare /home/helge/wdev/complete/SOPE/releases/4.3.1-shapeshifter with /home/helge/wdev/SOPE-4.3/
added:   xmlrpc_call
added:   TODO-4.3.txt
added:   maintenance
changed: sope-ldap/samples/
     2004-09-11  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* GNUmakefile.preamble: minor changes for inline compilation with
     	  GNUSTEP_BUILD_DIR set elsewhere.
     2004-08-31  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile.preamble: added library search pathes for FHS install
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the tools in FHS locations - the executables
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
added:   sope-ldap/samples/fhs.make
changed: sope-ldap/NGLdap/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.20)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGLdap.xcode: new Xcode project
added:   sope-ldap/NGLdap/fhs.make
added:   Recycler/NGScripting
changed: sope-ical/iCalSaxDriver/
     2004-09-14  Helge Hess  <helge.hess@skyrix.com>
     	* ICalSaxParser.m: minor improvement to logging (v4.3.15)
     2004-09-11  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* GNUmakefile.preamble: minor changes for inline compilation with
     	  GNUSTEP_BUILD_DIR set elsewhere (v4.3.14)
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the SAX driver
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local) (v4.3.13)
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: install SAX driver in Library/SaxDrivers-4.3/ (v4.3.12)
     	* GNUmakefile: install SAX driver in Library/SaxDrivers/4.3/ (v4.3.11)
added:   sope-ical/iCalSaxDriver/fhs.make
changed: sope-ical/NGiCal/
     2004-09-01  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* v4.3.29
     	* iCalEventChanges.[hm]: new class for tracking changes between
     	  two given events
     	* iCalEvent.[hm]: new API to generate iCalEventChanges objects.
     	* common.h: inline function and macro for "safe" comparison of
     	  object values
     2004-09-01  Helge Hess  <helge.hess@opengroupware.org>
     	* GNUmakefile.postamble: copy sax-model to FHS_INSTALL_ROOT + 
     	  /share/sope-4.3/saxmappings/ when compiling for FHS (v4.3.28)
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.27)
     2004-08-26  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGiCal.xcode: new Xcode project
added:   sope-ical/NGiCal/fhs.make
added:   sope-ical/NGiCal/iCalEventChanges.h
added:   sope-ical/NGiCal/iCalEventChanges.m
changed: sope-ical/samples/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the tools in FHS locations - the executables
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
added:   sope-ical/samples/fhs.make
added:   sope-ical/samples/common.h
changed: sope-xml/
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* sope-xml.xcode: new Xcode aggregate project
     	* SxXML*: removed old Xcode projects
removed: sope-xml/SxXML-Info.plist
changed: sope-xml/XmlRpc/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.23)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* XmlRpc.xcode: moved unused source into Unused group. Fixed
     	  file encodings.
     2004-08-27  Helge Hess  <helge.hess@opengroupware.org>
     	* XmlRpc.xcode: fixed Xcode project
     2004-08-26  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* XmlRpc.xcode: new Xcode project
added:   sope-xml/XmlRpc/fhs.make
changed: sope-xml/STXSaxDriver/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the SAX driver
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local) (v1.0.9)
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: install SAX driver in Library/SaxDrivers-4.3/ (v1.0.8)
     	* GNUmakefile: install SAX driver in Library/SaxDrivers/4.3/ (v1.0.7)
added:   sope-xml/STXSaxDriver/fhs.make
changed: sope-xml/DOM/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.13)
     2004-08-26  Marcus Mueller  <znek@mulle-kybernetik.com>  
     	* DOM.xcode: new Xcode project
     2004-08-25  Helge Hess  <helge.hess@opengroupware.org>
     	* DOMSaxHandler.m: do not print DOM parsing errors per default
     	  (consumers need to check the errors array) (v4.3.12)
added:   sope-xml/DOM/fhs.make
changed: sope-xml/pyxSAXDriver/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the SAX driver
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: install SAX driver in Library/SaxDrivers-4.3/
     	* GNUmakefile: install SAX driver in Library/SaxDrivers/4.3/
added:   sope-xml/pyxSAXDriver/fhs.make
added:   sope-xml/pyxSAXDriver/GNUmakefile.postamble
added:   sope-xml/pyxSAXDriver/GNUmakefile.preamble
changed: sope-xml/samples/
     2004-08-31  Helge Hess  <helge.hess@skyrix.com>
     	* fixed linking for FHS configurations
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the tools in FHS locations - the executables
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
added:   sope-xml/samples/fhs.make
added:   sope-xml/samples/GNUmakefile.preamble
changed: sope-xml/SaxObjC/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* v4.3.41
     	* SaxXMLReaderFactory.m: look in /usr/local/lib/sope-4.3/saxdrivers/
     	  and /usr/lib/sope-4.3/saxdrivers/ for SAX drivers
     	* SaxObjectModel.m: also look in /usr/local/share/sope-4.3/saxmappings/
     	  and /usr/share/sope-4.3/saxmappings/ for models
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     2004-08-26  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* SaxObjC.xcode: new Xcode project
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* changed lookup path to SaxDrivers-4.3 to be consistent with OGo
     	  (v4.3.40)
     	* SaxXMLReaderFactory.m: lookup SAX drivers in Library/SaxDrivers/4.3
     	  (v4.3.39)
added:   sope-xml/SaxObjC/fhs.make
changed: sope-xml/libxmlSAXDriver/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the SAX driver
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local) (v4.3.17)
     2004-08-26  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* libxmlSAXDriver.xcode: new Xcode project
     2004-08-25  Helge Hess  <helge.hess@opengroupware.org>
     	* v4.3.16
     	* libxmlHTMLSAXDriver.m: generate SAX events (HTML/BODY) for empty
     	  documents
     	* libxmlDocSAXDriver.m, libxmlHTMLSAXDriver.m: allows NSURL objects as
     	  the source for parsing
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: install SAX driver in Library/SaxDrivers-4.3/ (v4.3.15)
     	* GNUmakefile: install SAX driver in Library/SaxDrivers/4.3/ (v4.3.14)
added:   sope-xml/libxmlSAXDriver/fhs.make
added:   sope-xml/libxmlSAXDriver/GNUmakefile.postamble
added:   sope-mime/fhs.make
added:   sope-mime/ChangeLog
changed: sope-mime/NGMail/
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGMail.xcode: new Xcode project
changed: sope-mime/NGImap4/
     2004-09-07  Helge Hess  <helge.hess@skyrix.com>
     	* NGImap4ResponseParser.m: added some sanity checks for unexpected
     	  parsing input, removes crashes as reported in OGo bug #883 (v4.3.179)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGImap4.xcode: new Xcode project
changed: sope-mime/NGMime/
     2004-08-31  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: define library version (v4.3.176)
     	* NGMime.m: use 4.3.0 as fallback library version
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGMime.xcode: new Xcode project
     2004-08-27  Helge Hess  <helge@dogbert.in.skyrix.com>
     	* NGMimeRFC822DateHeaderFieldParser.m: always use custom date parser
     	  instead of the NSCalendarDate format parser (closes OGo bug #562)
     	  (v4.3.174)
changed: sope-mime/samples/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the tools in FHS locations - the executables
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
     	* imapquota.m: fixed a warning
     	* fixed makefile for new SOPE 4.3 setup
added:   sope-mime/samples/test_qpdecode.m
added:   sope-mime/samples/data
added:   sope-mime/samples/fhs.make
changed: sope-appserver/
     2004-08-30  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* sope-appserver.xcode: new Xcode aggregate project
     	* removed old SOPE.xcode
     2004-08-25  Helge Hess  <helge.hess@opengroupware.org>
     	* move NGScripting to Recycler, not used anymore
     2004-08-22  Helge Hess  <helge.hess@opengroupware.org>
     	* added SoOFS as a separate project
added:   sope-appserver/SoOFS
added:   sope-appserver/NGXmlRpc
removed: sope-appserver/NGScripting
changed: sope-appserver/WOExtensions/
     2004-08-30  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* WOExtensions.xcode: new Xcode project
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.19)
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* install bundle in Library/WOxElemBuilders-4.3/ (v4.3.18)
     	* v4.3.17
     	* added a bundle manager class (WOExtensionsBuilderModule)
     	* install (elem builder) bundle in Library/WOxElemBuilders/4.3/
     	* added a GNUmakefile.postamble
added:   sope-appserver/WOExtensions/WOExtensionsBuilderModule.m
added:   sope-appserver/WOExtensions/GNUmakefile.postamble
added:   sope-appserver/WOExtensions/fhs.make
added:   sope-appserver/WOExtensions/WOExtensions.wox
changed: sope-appserver/WOXML/
     2004-08-40  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.7)
added:   sope-appserver/WOXML/fhs.make
changed: sope-appserver/NGObjWeb/
     2004-09-20  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* v4.3.40
     	* SoObjects/SoProductResourceManager.m: changed method
     	  -pathForResourceNamed:inFramework:languages: to use new NGExtensions
     	  addition to NSBundle for proper localized resource lookup
     	* NGObjWeb.xcode: added SOPE_MAJOR_VERSION and SOPE_MINOR_VERSION to
     	  the build defines
     2004-09-14  Helge Hess  <helge.hess@skyrix.com>
     	* WOMessage.m, WOCoreApplication.m, SoProductRegistry.m, 
     	  WOApplication+Builders.m: use makefile provided SOPE version for
     	  resource lookup (v4.3.39)
     2004-09-13  Helge Hess  <helge.hess@opengroupware.org>
     	* OWResourceManager.m: deprecated -pathToComponentNamed:inFramework:
     	  in favor of -pathToComponentNamed:inFramework:languages (v4.3.38)
     	* v4.3.37
     	* Templates/WOWrapperTemplateBuilder.m: added ability to load wod
     	  templates without a .wo wrapper (but from an arbitary path). You need
     	  to pass in the .html file of the template to enable that. Used in OGo
     	  for FHS support.
     	* OWResourceManager.m: do not look for templates in WebServerResources,
     	  major cleanups in resource lookup code
     2004-09-11  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* GNUmakefile.preamble: minor changes for inline compilation with
     	  GNUSTEP_BUILD_DIR set elsewhere (v4.3.36)
     2004-09-11  Helge Hess  <helge.hess@opengroupware.org>
     	* removed JavaScript function support (v4.3.35)
     2004-09-10  Helge Hess  <helge.hess@skyrix.com>
     	* v4.3.34
     	* SoObjects/SoProductResourceManager.m: added an implementation of
     	  -pathForResourceNamed:inFramework:languages: which checks the 
     	  product bundle resources (also required to make the URL lookup work),
     	  improved debug logging
     	* Associations/WOResourceURLAssociation.m, Defaults.plist: added
     	  WOResourceURLAssociationDebugEnabled default and a set of debug
     	  logs
     2004-09-09  Helge Hess  <helge.hess@opengroupware.org>
     	* DynamicElements/WOBrowser.m: deprecated 'selection' binding and
     	  activated 'selections' as requested in OGo bug #894 (v4.3.33)
     	* DynamicElements/WOBrowser.m: deprecated 'string' binding and
     	  activated 'displayString' as requested in OGo bug #888 (v4.3.32)
     2004-09-09  Frank Reppin  <frank@opengroupware.org>
     	* GNUmakefile.postamble: added patch for installing in different
     	  install roots (INSTALL_ROOT_DIR prefix variable) (v4.3.31)
     2004-09-08  Helge Hess  <helge.hess@opengroupware.org>
     	* WOHttpAdaptor/WOHttpTransaction.m: check whether the simple HTTP
     	  parser is to be used using the
     	  -shouldUseSimpleHTTPParserForTransaction: method on
     	  WOCoreApplication. That way applications which require the parser
     	  (like xmlrpcd/ZideStore) can override the default
     	  WOHttpTransactionUseSimpleParser default (v4.3.30)
     2004-09-07  Helge Hess  <helge.hess@skyrix.com>
     	* Defaults.plist: disable WODebugging per default (v4.3.29)
     	* WOContext.m: minor code cleanup (v4.3.28)
     2004-09-06  Helge Hess  <helge.hess@skyrix.com>
     	* Defaults.plist: enable watch dog per default (use WOUseWatchDog
     	  default to disable the watch dog) (v4.3.27)
     2004-09-06  Helge Hess  <helge.hess@opengroupware.org>
     	* WOResourceManager.m: minor code cleanups (v4.3.26)
     2004-09-05  Helge Hess  <helge.hess@opengroupware.org>
     	* WOResourceRequestHandler.m: added some debug logging, send a 404
     	  instead of a 500 if a resource could not be found (v4.3.25)
     2004-09-02  Helge Hess  <helge.hess@opengroupware.org>
     	* wo*.make: when copying bundles to the install location, ensure that
     	  .svn directories (Subversion tracking dirs) are excluded (v4.3.24)
     2004-09-01  Helge Hess  <helge.hess@skyrix.com>
     	* WOApplication.m: added a fix to find the appwrapper in flattened
     	  environments (v4.3.23)
     	* WOCoreApplication.m: search for libNGObjWeb resources in
     	  Library/Libraries for compatibility with gstep-make 1.9.2 (Note:
     	  this version does _not_ work with the old gstep-make fork anymore!)
     	  (v4.3.22)
     2004-09-01  Helge Hess  <helge.hess@opengroupware.org>
     	* fhs.make (move-headers-to-fhs): moved NGHttp headers to FHS root
     	  (v4.3.21)
     2004-08-31  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile.preamble: fixed sope-mime library location for gstep-make
     	  1.9.2 (v4.3.20)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGObjWeb.xcode: new Xcode project
     	* SoObjects/SoObjecs.xcode, SoObjects/SoObjects-Info.plist: new Xcode
     	  project and accompanied files.
     	* WebDAV/WebDAV.xcode: new Xcode project
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* GNUmakefile: properly setup bundle path (v4.3.19)
     	* v4.3.18
     	* Templates/WOApplication+Builders.m: also look in
     	  /usr/local/lib/sope-4.3/wox-builders/ and
     	  /usr/lib/sope-4.3/wox-builders/ for SOPE WOx element builder bundles
     	* SoObjects/SoProductRegistry.m: also look in
     	  /usr/local/share/sope-4.3/products and /usr/share/sope-4.3/products
     	  for SOPE product bundles
     	* WORequest.m, WebDAV/SoObject+SoDAV.m: use new WOCoreApplication
     	  method to lookup Languages.plist / DAVPropMap.plist resource
     	* WOCoreApplication.m: use GNUSTEP_PATHPREFIX_LIST and GNUSTEP_PATHLIST
     	  to find libNGObjWeb resources, also look in
     	  /usr/local/share/sope-4.3/ngobjweb/ and
     	  /usr/share/sope-4.3/ngobjweb/. Added a method
     	  +findNGObjWebResource:ofType: to locate library resources
     	* WOCoreApplication+Bundle.m: use GNUSTEP_PATHPREFIX_LIST and
     	  GNUSTEP_PATHLIST to load application bundles
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local),
     	  SOPE products are installed in lib/sope-4.3/products/
     2004-08-27  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile: export WOComponentDefinition.h as a public header
     	  (v4.3.17)
     2004-08-26  Helge Hess  <helge.hess@skyrix.com>
     	* WOComponent: added ivar for clientObject, _without_ increasing class
     	  version (so that we don't need to touch every component in OGo :-| ),
     	  moved SoObjects methods to own category file in SoObjects (v4.3.16)
     	* WOComponentScript.m, WOComponentScriptPart.m: removed dependency on
     	  NGScripting (disables WOx scripting due to missing backend) (v4.3.15)
     	* v4.3.14
     	* WOComponent.m, WOContext.m: added ivar for _ODCycleCtx, _without_
     	  increasing class version (so that we don't need to touch every
     	  component in OGo :-| )
     	* DynamicElements/WOHtml.m, WOBody.m: minor code cleanups
     2004-08-25  Helge Hess  <helge.hess@opengroupware.org>
     	* v4.3.13
     	* removed dependency on NGScripting (disabled WOScriptedComponent)
     	* WOComponent.m: added baseURL ivar, _without_ increasing class
     	  version (so that we don't need to touch every component in OGo :-| )
     	* v4.3.12
     	* Templates/WOxTemplateBuilder.m: properly select a DOM builder based
     	  on the template extension
     	* Templates/WOTemplateBuilder.m, WOComponentDefinition.m: moved
     	  builder factory to WOComponentDefinition
     2004-08-24  Helge Hess  <helge.hess@opengroupware.org>
     	* changed bundles to install in "xxx-4.3" pathes instead of "xxx/4.3"
     	  to be consistent with OGo (v4.3.11)
     	* v4.3.10
     	* GNUmakefile: install SoCore.sxp in Library/SoProducts/4.3/
     	* Templates/WOxTemplateBuilder.m: moved WOApplication category to an
     	  own file, preload builder bundles in Library/WOxElemBuilders/4.3
     	* SoObjects/SoProductRegistry.m: look for products in
     	  Library/SoProducts/4.3
     	* v4.3.9
     	* DynamicElements/WOConditional.m: added specific WOx initializer to
     	  support negative conditionals (if-not)
     	* DynamicElements/WOxControlElemBuilder.m: mapped "if-not"/"ifnot" to
     	  WOConditional
     	* SoObjects/WOContext+SoObjects.m: added missing
     	  -setObjectPermissionCache: method (v4.3.8)
     2004-08-23  Helge Hess  <helge.hess@opengroupware.org>
     	* GNUmakefile.preamble: removed libjs linking path (v4.3.7)
     	* moved NGXmlRpc/xmlrpc_call to a separate project (v4.3.6)
     	* v4.3.5
     	* WOContext.m, WOComponent.m: modified component awake handling, should
     	  fix some awake-in-context logs
     	* WOComponentRequestHandler.m: use _setCurrentContext: method
     	* WOApplication.m: added -_setCurrentContext: method to set the global
     	  context (should be avoided, but not always possible ..)
     	* SoObjects/SoProductClassInfo.m: improved error handling (v4.3.4)
     2004-08-22  Helge Hess  <helge.hess@opengroupware.org>
     	* v4.3.3
     	* moved the SoOFS library/sope tool to a separate project
     	* WORequest, WOMessage, WOContext: added new ivars to avoid user-info
     	  dictionary
added:   sope-appserver/NGObjWeb/subdirs.make
added:   sope-appserver/NGObjWeb/fhs.make
removed: sope-appserver/NGObjWeb/WOComponentDefinition.h
removed: sope-appserver/NGObjWeb/sope.m
removed: sope-appserver/NGObjWeb/WOSession+JS.m
removed: sope-appserver/NGObjWeb/SoOFS
removed: sope-appserver/NGObjWeb/xmlrpc_call.m
removed: sope-appserver/NGObjWeb/SoOFSProduct.m
removed: sope-appserver/NGObjWeb/NGXmlRpc
added:   sope-appserver/NGObjWeb/SoObjects/WOComponent+SoObjects.m
added:   sope-appserver/NGObjWeb/SoObjects/SoObjects-Info.plist
added:   sope-appserver/NGObjWeb/Templates/WOApplication+Builders.m
changed: sope-appserver/NGObjWeb/NGHttp/
     2004-09-20  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGHttp.xcode: minor changes
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGHttp.xcode: new Xcode project
added:   sope-appserver/NGObjWeb/NGObjWeb/WOComponentDefinition.h
changed: sope-appserver/mod_ngobjweb/
     2004-09-20  Helge Hess  <helge.hess@skyrix.com>
     	* scanhttp.c (NGScanResponseLine): changed char types to unsigned char
     	* GNUmakefile: remove version and EAPI marker from generated module,
     	  the result is now called mod_ngobjweb.so
     2004-09-08  Helge Hess  <helge.hess@opengroupware.org>
     	* handler.c: fixed some log text
added:   sope-appserver/mod_ngobjweb/500mod_ngobjweb.info
changed: sope-appserver/WEExtensions/
     2004-08-30  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* WEExtensions.xcode: new Xcode project
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.58)
     2004-08-24  Helge Hess  <helge.hess@skyrix.com>
     	* install bundle in Library/WOxElemBuilders-4.3/ (v4.3.57)
     	* install (elem builder) bundle in Library/WOxElemBuilders/4.3/
     	  (v4.3.56)
added:   sope-appserver/WEExtensions/fhs.make
added:   sope-appserver/WEExtensions/WEExtensions.wox
changed: sope-gdl1/PostgreSQL/
     2004-09-11  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* GNUmakefile.preamble: minor changes for inline compilation with
     	  GNUSTEP_BUILD_DIR set elsewhere (v1.1.38)
     2004-09-06  Helge Hess  <helge.hess@opengroupware.org>
     	* EOAttribute+PostgreSQL72.m: use same exception handling on all
     	  Foundations (v1.1.37)
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the DB adaptor
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local) (v1.1.36)
     2004-08-27  Helge Hess  <helge@dogbert.in.skyrix.com>
     	* GNUmakefile*: renamed bundle to PostgreSQL, now installs in
     	  Library/GDLAdaptors-1.1/ (v1.1.35)
added:   sope-gdl1/PostgreSQL/fhs.make
changed: sope-gdl1/GDLAccess/
     2004-09-11  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* GNUmakefile.preamble, FoundationExt/GNUmakefile: minor changes for
     	  inline compilation with GNUSTEP_BUILD_DIR set elsewhere (v1.1.40)
     2004-09-06  Helge Hess  <helge.hess@skyrix.com>
     	* EOSQLQualifier.m: fixed a compile warning related to scanner handler
     	  and NSArray argument instead of va_list (v1.1.39)
     2004-09-06  Helge Hess  <helge.hess@opengroupware.org>
     	* EOAdaptorChannel.m: added
     	  -selectAttributesX:describedByQualifier:fetchOrder:lock: for
     	  selects which return, not raise, exceptions (v1.1.38)
     2004-08-31  Helge Hess  <helge.hess@skyrix.com>
     	* GNUmakefile.preamble: added library search pathes for FHS install
     	  (v1.1.37)
     2004-08-30  Helge Hess  <helge.hess@opengroupware.org>
     	* v1.1.36
     	* EOAdaptor.m: also look for adaptors in /usr/lib/sope-4.3/dbadaptors
     	  and /usr/local/lib/sope-4.3/dbadaptors
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     2004-08-27  Helge Hess  <helge.hess@skyrix.com>
     	* EOAdaptor.m: look for adaptor bundles in Library/GDLAdaptors-1.1/
     	  (v1.1.35)
     	* increased version to v1.1 because it depends on libEOControl v4.3
     	  (v1.1.34)
added:   sope-gdl1/GDLAccess/fhs.make
changed: sope-core/
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* sope-core.xcode: fixed file encodings
     	* SxCore*: removed old Xcode and related files
     2004-08-23  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* added new sope-core.xcode
removed: sope-core/SxCore-Info.plist
changed: sope-core/samples/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* moved test_qpdecode to NGMime/samples
     	* added hack to install the tools in FHS locations - the executables
     	  will be installed in FHS_INSTALL_ROOT if specified (eg make
     	  FHS_INSTALL_ROOT=/usr/local)
added:   sope-core/samples/fhs.make
removed: sope-core/samples/test_qpdecode.m
changed: sope-core/NGStreams/
     2004-09-06  Helge Hess  <helge.hess@opengroupware.org>
     	* NGByteBuffer.m, NGLocalSocketAddress.m, NGCharBuffer.m: fixed
     	  exception handling to be the same on all Foundation libraries
     	  (v4.3.45)
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.44)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGStreams.xcode: various fixes for project settings
     2004-08-27  Helge Hess  <helge.hess@opengroupware.org>
     	* GNUmakefile.postamble: do not automatically run autoconf to update
     	  configure (the configure checked in should work fine on all 
     	  platforms) (v4.3.43)
     2004-08-23  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* added new Xcode project
added:   sope-core/NGStreams/fhs.make
changed: sope-core/NGExtensions/
     2004-09-20  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* v4.3.115
     	* NGExtensions/NSBundle+misc.h, FdExt.subproj/NSBundle+misc.m: new
     	  NSBundle method -pathForResource:ofType:inDirectory:forLocalizations:
     	* NGExtensions/NGExtensions.h: added NSBundle+misc.h to the public
     	  headers
     2004-09-06  Helge Hess  <helge.hess@skyrix.com>
     	* FdExt.subproj/NSFileManager+Extensions.m: added new method:
     	  -createDirectoriesAtPath:attributes: (comparable to mkdirs)
     	  (v4.3.114)
     	* NGBundleManager.m: changed bundle resource lookup to check loaded
     	  bundles before scanning the NGBundlePath resources (is faster and
     	  fixes an issue with a bundle loaded but not in the search path)
     	  (v4.3.113)
     2004-09-05  Helge Hess  <helge.hess@opengroupware.org>
     	* v4.3.112
     	* NGBundleManager.m: code cleanups, added -setBundleSearchPaths: and
     	  -bundleSearchPaths to allow bundle path modifications from code
     	* NGHashMap.m: removed libFoundation specific exception handling, the
     	  same exceptions are now thrown for all runtimes
     2004-08-30  Helge Hess  <helge.hess@opengroupware.org>
     	* NGBundleManager.m: fixed yet another bug in NGBundleManager path
     	  lookup (v4.3.111)
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* NGBundleManager.m: fixed an issue when running without GNUstep
     	  environment (v4.3.110)
     	* v4.3.109
     	* NGBundleManager.m: look for bundles in GNUSTEP_PATHPREFIX_LIST and
     	  GNUSTEP_PATHLIST
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGExtensions.xcode: various fixes for project settings
     2004-08-26  Helge Hess  <helge.hess@opengroupware.org>
     	* FdExt.subproj/NSURL+misc.m: fixed some URL processing methods
     	  (v4.3.108)
     2004-08-25  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* NGCalendarDateRange.m: properly fixed intersectionDateRange: to not
     	  return pseudo-ranges. (v4.3.107)
     2004-08-23  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* v4.3.106
     	* NGCalendarDateRange.m: changed -containsDate: in a way that the range
     	  is treated as a half-open interval (including startDate, excluding
     	  endDate). 
     	* v4.3.105
     	* NGExtensions.xcode: new Xcode project
     	* NGStringScanEnumerator.m: compile bugfix
     	* NGExtensions-Info.plist: new version and bundle identifier
added:   sope-core/NGExtensions/fhs.make
added:   sope-core/NGExtensions/NGExtensions/NSBundle+misc.h
added:   sope-core/NGExtensions/FdExt.subproj/NSBundle+misc.m
changed: sope-core/EOControl/
     2004-08-29  Helge Hess  <helge.hess@opengroupware.org>
     	* added hack to install the project in FHS locations - the library,
     	  its headers, the tools and the resources will be installed in
     	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
     	  (v4.3.48)
     2004-08-29  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* EOControl.xcode: various fixes for project settings
     2004-08-23  Marcus Mueller  <znek@mulle-kybernetik.com>
     	* added new Xcode project
added:   sope-core/EOControl/fhs.make
